Full documentation for this service is available at /documentation/publicservice.
GetShippingOptions |WebMethod|
Gets the available shipping options from a list of countries.
Parameters
- request, The GetShippingOptionsRequest with parameters.
Returns
A GetShippingOptionsResponse object with shipping options from the requested countries grouped by weight-span.
SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/publicservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: text/xml; charset=utf-8 SOAPAction: "http://api.tradera.com/GetShippingOptions" Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetShippingOptions xmlns="http://api.tradera.com"> <request>request</request> </GetShippingOptions> </soap:Body> </soap:Envelope>
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body> <GetShippingOptionsResponse xmlns="http://api.tradera.com"> <GetShippingOptionsResult>A GetShippingOptionsResponse object with shipping options from the requested countries grouped by weight-span.</GetShippingOptionsResult> </GetShippingOptionsResponse> </soap:Body> </soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /v3/publicservice.asmx HTTP/1.1 Host: api.tradera.com Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetShippingOptions xmlns="http://api.tradera.com"> <request>request</request> </GetShippingOptions> </soap12:Body> </soap12:Envelope>
HTTP/1.1 200 OK Content-Type: application/soap+xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope"> <soap12:Body> <GetShippingOptionsResponse xmlns="http://api.tradera.com"> <GetShippingOptionsResult>A GetShippingOptionsResponse object with shipping options from the requested countries grouped by weight-span.</GetShippingOptionsResult> </GetShippingOptionsResponse> </soap12:Body> </soap12:Envelope>
HTTP GET
The following is a sample HTTP GET request and response. The placeholders shown need to be replaced with actual values.
GET /v3/publicservice.asmx/GetShippingOptions?appId=string&appKey=string&request=string HTTP/1.1 Host: api.tradera.com
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetShippingOptionsResult xmlns="http://api.tradera.com">A GetShippingOptionsResponse object with shipping options from the requested countries grouped by weight-span.</GetShippingOptionsResult>
HTTP POST
The following is a sample HTTP POST request and response. The placeholders shown need to be replaced with actual values.
POST /v3/publicservice.asmx/GetShippingOptions HTTP/1.1 Host: api.tradera.com Content-Type: application/x-www-form-urlencoded Content-Length: length appId=string&appKey=string&request=string
HTTP/1.1 200 OK Content-Type: text/xml; charset=utf-8 Content-Length: length <?xml version="1.0" encoding="utf-8"?> <GetShippingOptionsResult xmlns="http://api.tradera.com">A GetShippingOptionsResponse object with shipping options from the requested countries grouped by weight-span.</GetShippingOptionsResult>